Subject: Re: bug#21167: 24.5; tags-search should ignore buffer restriction

From: Dmitry Gutov <[email-masked]>
Date: Sat, 1 Aug 2015 14:43:10 +0300

Version: 25.1

On 07/31/2015 12:43 PM, phs wrote:

> I call this a bug. E.g., it can cause a global renaming of variables
> miss some occurrences. It seems that a minimal fix is for tags-search to
> warn the user that the buffer has been narrowed and offer to widen for
> the search (and maybe reinstall the restriction after the search???).

Thanks for the report. This is now performed automatically, without 
warning, in tags-loop-continue.